Open CASCADE Technology: HLRAlgo_PolyAlgo Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
HLRAlgo_PolyAlgo Class Reference

to remove Hidden lines on Triangulations. More...

`#include <HLRAlgo_PolyAlgo.hxx>`

Inheritance diagram for HLRAlgo_PolyAlgo:
[legend]

## Public Member Functions
| HLRAlgo_PolyAlgo ()
void | Init (const Handle< TColStd_HArray1OfTransient > &HShell)
TColStd_Array1OfTransient & | PolyShell () const
void | Clear ()
void | Update ()
| Prepare all the data to process the algo. More...
void | InitHide ()
Standard_Boolean | MoreHide () const
void | NextHide ()
void | Hide (Standard_Address &Coordinates, HLRAlgo_EdgeStatus &status, Standard_Integer &Index, Standard_Boolean &reg1, Standard_Boolean &regn, Standard_Boolean &outl, Standard_Boolean &intl)
| process hiding between <Pt1> and <Pt2>. More...
void | InitShow ()
Standard_Boolean | MoreShow () const
void | NextShow ()
void | Show (Standard_Address &Coordinates, Standard_Integer &Index, Standard_Boolean &reg1, Standard_Boolean &regn, Standard_Boolean &outl, Standard_Boolean &intl)
| process hiding between <Pt1> and <Pt2>. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

to remove Hidden lines on Triangulations.

## Constructor & Destructor Documentation

HLRAlgo_PolyAlgo::HLRAlgo_PolyAlgo | ( |  | ) |

## Member Function Documentation

void HLRAlgo_PolyAlgo::Clear | ( |  | ) |

void HLRAlgo_PolyAlgo::Hide | ( | Standard_Address & | Coordinates,
|  | HLRAlgo_EdgeStatus & | status,
|  | Standard_Integer & | Index,
|  | Standard_Boolean & | reg1,
|  | Standard_Boolean & | regn,
|  | Standard_Boolean & | outl,
|  | Standard_Boolean & | intl
| ) |  |

process hiding between <Pt1> and <Pt2>.

void HLRAlgo_PolyAlgo::Init | ( | const Handle< TColStd_HArray1OfTransient > & | HShell | ) |

void HLRAlgo_PolyAlgo::InitHide | ( |  | ) |

void HLRAlgo_PolyAlgo::InitShow | ( |  | ) |

Standard_Boolean HLRAlgo_PolyAlgo::MoreHide | ( |  | ) | const

Standard_Boolean HLRAlgo_PolyAlgo::MoreShow | ( |  | ) | const

void HLRAlgo_PolyAlgo::NextHide | ( |  | ) |

void HLRAlgo_PolyAlgo::NextShow | ( |  | ) |

TColStd_Array1OfTransient& HLRAlgo_PolyAlgo::PolyShell | ( |  | ) | const

void HLRAlgo_PolyAlgo::Show | ( | Standard_Address & | Coordinates,
|  | Standard_Integer & | Index,
|  | Standard_Boolean & | reg1,
|  | Standard_Boolean & | regn,
|  | Standard_Boolean & | outl,
|  | Standard_Boolean & | intl
| ) |  |

process hiding between <Pt1> and <Pt2>.

void HLRAlgo_PolyAlgo::Update | ( |  | ) |

Prepare all the data to process the algo.

The documentation for this class was generated from the following file:

- HLRAlgo_PolyAlgo.hxx